Libical API Documentation 3.0

Data Fields
ut_instant Struct Reference

## Data Fields
double | d_hour
double | d_minute
double | d_second
int | day
int | day_of_year
int | i_hour
int | i_minute
int | i_second
double | j_date
int | month
int | weekday
long | year

## Field Documentation

## ◆ d_hour

double ut_instant::d_hour

[0.0-23.9999] includes minute and second

## ◆ d_minute

double ut_instant::d_minute

[0.0-59.9999] includes second

## ◆ d_second

double ut_instant::d_second

[0.0-59.9999]

## ◆ day

int ut_instant::day

[1-31]

## ◆ day_of_year

int ut_instant::day_of_year

[1-366]

## ◆ i_hour

int ut_instant::i_hour

[0-23]

## ◆ i_minute

int ut_instant::i_minute

[0-59]

## ◆ i_second

int ut_instant::i_second

[0-59]

## ◆ j_date

double ut_instant::j_date

Julian decimal date, 0 = 01 Jan 4713 BC 12 HR UT

## ◆ month

int ut_instant::month

[1-12]

## ◆ weekday

int ut_instant::weekday

[0-6]

## ◆ year

long ut_instant::year

year, valid range [-4,713, +2,147,483,647]

The documentation for this struct was generated from the following file:

- astime.h